/*
JS-Datei erstellt am 2022-06-17
*/
// hier die richtigen Buchstaben angeben,
// die Ihr bei "Teensyduino" festgelegt habt
const buchstabeLinks = "j";
const buchstabeRechts = "u";
const buchstabeReset = "l";

// ==================== ab hier müsst Ihr nichts mehr ändern ====================

// wenn Ihr die Benamung der Sektionen beibehaltet…

const linkesKabelErgebnis = document.querySelector("#linkesKabel span");
const rechtesKabelErgebnis = document.querySelector("#rechtesKabel span");

// sobald jemand eine der oben genannten Tasten drückt,
// zählt der Zähler links oder rechts um "1" hoch
// das könnt Ihr auch direkt an Eurem Mac/PC probieren
// auch dort die index-Datei im Browser öffnen und dann
// auf Eurer Tastatur "j" oder "u" eingeben

// wenn Teensy angeschlossen ist und die Website den Focus hat,
// zählen die Elemente hoch, sobald Teensy einen der Buchstaben verschickt

// optional habe ich noch das "l" als Reset-Button eingefügt,
// damit könnten beide Zähler weider auf "0" gesetzt werden
window.addEventListener(
  "keyup",
  function (event) {
    let taste = event.key;
    if (taste === buchstabeLinks) {
      let aktWertLinks = parseInt(linkesKabelErgebnis.textContent);
      linkesKabelErgebnis.textContent = aktWertLinks + 1;
    } else if (taste === buchstabeRechts) {
      let aktWertRechts = parseInt(rechtesKabelErgebnis.textContent);
      rechtesKabelErgebnis.textContent = aktWertRechts + 1;
    } else if (taste === buchstabeReset) {
      linkesKabelErgebnis.textContent = 0;
      rechtesKabelErgebnis.textContent = 0;
    }
  },
  true
);
